﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;

namespace Client
{
    class Program
    {
        static void Main(string[] args)
        {
            StockService stockService = new StockService();
            stockService.GotStock += stockService_GotStock;
            ServiceHost host = new ServiceHost(stockService);
            host.Open();

            Console.WriteLine("Client is listening for broadcasts.");



            Console.WriteLine("Press any key to stop client.");
            Console.ReadKey();
        }

        static void stockService_GotStock(object sender, Tuple<string, double> e)
        {
            Console.WriteLine("{0} -> {1}", e.Item1, e.Item2);
        }
    }
}
